Skip to main content
https://.thoughtindustries.com

BulkImportCourseGroupInPersonEvent

Returns a paginated list of bulk import course group in-person event logs

Returns a paginated list of bulk import course group in-person event logs.

GEThttps://example.thoughtindustries.com/incoming/v2/logs/bulkImportCourseGroupInPersonEvent

Example request

curl "https://example.thoughtindustries.com/incoming/v2/logs/bulkImportCourseGroupInPersonEvent" \
  -H 'Authorization: Bearer YOUR_API_KEY'

Parameters

NameTypeRequiredLocationDescription
typestringYesqueryFilters logs by event type.
cursorISO 8601 timestampNoqueryReturns results starting from this ISO 8601 cursor position, enabling pagination through log entries.
perPageintegerNoqueryNumber of log entries to return per page.

Example response

{
  "data": {
    "APICacheLogs": {
      "data": [
        {}
      ],
      "pageInfo": {
        "perPage": 0,
        "cursor": "string",
        "total": 0,
        "hasMore": true
      }
    }
  }
}

Response fields

FieldTypeDescription
dataobject[]Array of bulk import course group in-person event log entries.
pageInfoCursorPageInfoPagination metadata for the current result set.
pageInfo.perPageintegerNumber of log entries returned per page.
pageInfo.cursorstringCursor value to pass in the next request to retrieve the following page of results.
pageInfo.totalintegerTotal number of log entries matching the query.
pageInfo.hasMorebooleanIndicates whether additional pages of results are available.